System Requirements and Support Matrix

Table of Contents

I Important Announcements

II Prerequisites

III Minimum Requirements for Coresuite

    1. Extended Requirements for Cube

IV Supported/Unsupported SBO Patch Levels

V No Longer Supported  SBO Versions

 

I Important Announcements (Back to Table of Contents)

  • warnung 01.10.2020 - Due to critical issues which we faced during testing of Coresuite on SAP Business One 10.0 FP2008 (PL03), we decided not to support this patch level with Coresuite. For more details, please see: SAP Business One 10.0 FP2008 (PL03) Is Not Supported .

 

II Prerequisites (Back to Table of Contents)

  • Before you install Coresuite Country package, make sure that your system meets the software and hardware requirements for SAP Business One. For more information, please visit http://partneredge.sap.com.
    Some modules may have different requirements than the ones listed below. Please check the relevant manual.

  • When installing Coresuite Country package for the first time in your environment, ensure that you use the latest available installer from https://helpdesk.coresystems.ch/hc/en-us/articles/201901392. Ensure that you always use the most recent version of each module. To do so, go to https://helpdesk.coresystems.ch/hc/en-us/articles/201845022 and select the relevant SAP Business One patch level.
  • Before you install Coresuite Country package on Citrix environments, make sure that your system meets the requirements specified under https://helpdesk.coresystems.ch/entries/22419836.
  • Windows users need full permissions for the SAP Business One add-on directory on the relevant PC/workstation, and read/write permissions on the SBO_SHR directory on the server.

    Vista and later Windows versions use UAC (User Account Control). Adding the permissions above described to each Windows user account is not enough for those permissions to be actually available. Especially for module updates, SAP Business One needs to be run explicitly as Administrator (via right-click on the SAP Business One icon) to take effect. For additional information, please refer to User Account Control

    The database authentication account for Microsoft SQL/SAP HANA must have full permissions to create/update databases.

 

III Minimum Requirements (Back to Table of Contents)

Hardware Requirements

Processor

Intel Core i3 (or similar)

Memory (RAM)

Up to 500MB per Coresuite user

Hard disk

1GB available for Coresuite

Resolution

1024x768 (ensure that you do not use Windows DPI setting >100%)

Printer

.Net-supported printers

Internet connection

recommended (for automatic updates)

* Hardware requirements as outlined on https://partneredge.sap.com take precedence.

Software Requirements

Operating system

Client and Server Platform as outlined in detail on https://partneredge.sap.com

Runtime

Microsoft®.Net Framework 4.7.2 (for country package versions 7.20 or higher)(1); Microsoft® Access Database Engine 2012 Redistributable (Download link:http://www.microsoft.com/en-us/download/details.aspx?id=13255)

SQL Database Platform

Please refer to https://partneredge.sap.com

HANA

Please refer to https://partneredge.sap.com

SAP Business One

Please refer to the section IV Supported/Unsupported SBO Patch Levels

Dashboards

Adobe Shockwave Flash Player (latest available version)

* Software requirements as outlined on https://partneredge.sap.com take precedence.
(1) The Client Profile is not sufficient. The full .NET Framework must be installed.


Procedure for Coresuite module updates

Make sure each SAP Business One client application in your environment is at least started once explicitly as Administrator (via right-click on the SAP Business One icon > Run as Administrator) to complete module updates successfully.

Caution: If the update is not performed correctly, e.g. the following issue will occur: https://helpdesk.coresystems.ch/hc/en-us/articles/201972191-Modules-do-not-load-or-the-system-shows-messages-The-database-structure-has-been-modified-.

 

a. Extended Requirements for Cube (Back to Table of Contents)

SAP Business One

Supported SBO patch levels are listed under IV Supported/Unsupported SBO Patch Levels

SQL Server

Please refer to our general III Minimum Requirements

In addition, please ensure that the following features are installed:
- Analysis Services
- Reporting Services - Native

Microsoft Excel

Microsoft Excel 2007 or higher for Excel reports.

Coresuite modules

For the Coresuite Finance Cube: Coresuite Country package with the current version of the Coresuite Accounting and Coresuite Designer modules, which must be installed for at least one user

 

warnung

Before installing the Cube, you must also make sure that your system meets the requirements specified under Cube Configuration Requirements. Reported support issues caused by not adhering to those guidelines will be charged

warnung

Please note that Coresuite Cube is not supported for use in onDemand environments

warnung

Please note that Coresuite Cube is not supported for use in HANA environments

hinweis

Multi-Cube installations based on SAP Business One localizations with segmented accounts are supported from SAP Business One 8.82 PL08

 

IV Supported/Unsupported SBO Patch Levels (Back to Table of Contents)

Supported Patch levels for Coresuite add-ons

SQL

SAP Business One 10.0 (9)

PL02

SAP Business One 9.3 (2)(5)(6)(7)

PL03, PL04(8), PL05(8), PL06, PL07, PL08, PL09, PL10, PL11, PL12, PL13, PL14

SAP Business One 9.2 (1)(2)(5)(6)

PL02, PL03, PL04, PL05, PL06, PL07, PL08, PL09, PL10, PL11

HANA

SAP Business One 10.0 (9)

PL02

SAP Business One 9.3 (2)(3)(4)(5)(6)(7)

PL03, PL04(8), PL05(8), PL06, PL07, PL08, PL09, PL10, PL11, PL12, PL13, PL14

SAP Business One 9.2 (1)(2)(3)(4)(5)(6)

PL02, PL03, PL04, PL05, PL06, PL07, PL08, PL09, PL10, PL11

 

(1)

Only supported with Coresuite installer 5.00 or higher

(2)

Please refer to the following FAQ before you upgrade to/install 9.2 or 9.3: coresuite onPremise products, Upgrade/Installation for SAP Business One 9.1 (and 9.2/9.3, if upgrading from lower than 9.1)

(3)

Please refer to the following FAQ before you upgrade to SAP Business One 9.1 PL09 (HANA) or higher: IMPORTANT ANNOUNCEMENT regarding issue in SAP Business One 9.3 PL04

(4)

For additional information please refer to the following FAQ: coresuite products with SAP Business One for HANA (B1H)

(5)

Please note that we only support Windows 10 with Coresuite Framework version 5.10 or higher

(6)

Please note that we only support Browser Access with Coresuite installer 5.25 or higher

(7)

Only supported with Coresuite installer version 6.20 or higher

(8)

Please refer to the following FAQ before you upgrade to/install 9.3 PL04/PL05: IMPORTANT ANNOUNCEMENT regarding issue in SAP Business One 9.3 PL04

(9)

Only supported with Coresuite installer version 7.17 or higher

warnung

We do not officially support any SAP Business One Hotfixes Releases, meaning we might not test those explicitly. However, if you do need to use a specific SAP Business One Hotfix, you can do so at your own discretion.
Keep in mind, that you will need to manually download any module sips from the following page: Country Package and other B1 Modules and import them via Coresuite Administration. As the SAP Business One Hotfixes Releases are not automatically recognised, the Option "Download updates" from Coresuite Administration will not work!

 

Unsupported Patch levels for Coresuite add-ons

SQL

SAP Business One 10.0

FP2008 (PL03)

HANA

SAP Business One 10.0

FP2008 (PL03)

 

 

V No Longer Supported SBO Versions (Back to Table of Contents)

SAP Business One Major/Minor Version

End of SAP Mainstream Maintenance (see note 528296)

End of Support for the Relevant SAP Business One Version (Coresystems)

Last Working Coresuite Version

9.3*

June 30, 2020

Coresuite is still supported

 

9.2*

June 30, 2018

Coresuite is still supported

 

9.1*

July 31, 2016

April 24, 2017

5.65

9.0*

May 31, 2015

September 29, 2015

4.90

8.82*

June 30, 2015

September 29, 2015

4.90

8.81*

February 29, 2012

December 31, 2012

3.70

8.8*

April 30, 2011

May 01, 2012

3.50

2007*

December 31, 2011

March 01, 2012

3.50

 

Was this article helpful?
1 out of 1 found this helpful
Have more questions? Submit a request

Comments

0 comments

Article is closed for comments.